QGIS Application - Bug report #17621
Not possible to add WMTS service
2017-12-04 01:25 PM - James Passmore

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: not reproducable

Copied to github as #: 25518

Description

It used to be possible to add an OGC WMTS service to QGIS but it no longer seems possible

Previously, (QGIS 2.2.0), you could use the Add WMS/WMTS Layer menu option to supply a link to the WMTS capabilities document.

If I try this now | get an error 'Failed to download capabilities’. There is no problem with the WMTS service.

History

#1 - 2017-12-04 01:38 PM - Richard Duivenvoorde

Cannnot reproduce.

Please provide more info:

- which version of QGIS, Operating System

- service url which fails

Here | can add the following wmts service succesfully on latest master

https://geodata.nationaalgeoregister.nl/luchtfoto/rgb/wmts?request=GetCapabilities&#38;service=WMTS

#2 - 2017-12-04 02:26 PM - James Passmore

Richard Duivenvoorde wrote:

Cannnot reproduce.

Please provide more info:

- which version of QGIS, Operating System

- service url which fails

Here | can add the following wmts service succesfully on latest master

https.//geodata.nationaalgeoregister.nl/luchtfoto/rgb/wmts ?request=GetCapabilities &#38;service=WMTS

How do you add a service which has a static Capabilities, it used to be possible (ref

https://gis.stackexchange.com/questions/52346/is-it-possible-to-use-wmts-in-qgis)
like:

http:/tiles.maps.eox.at/wmts/1.0.0/WMTSCapabilities.xml

#3 - 2017-12-04 02:43 PM - James Passmore
James Passmore wrote:
Richard Duivenvoorde wrote:
Cannnot reproduce.
Please provide more info:
- which version of QGIS, Operating System
- service url which fails

Here | can add the following wmts service succesfully on latest master

https.//geodata.nationaalgeoregister.nl/luchtfoto/rgb/wmts ?request=GetCapabilities&#38;service=WMTS

How do you add a service which has a static Capabilities, it used to be possible (ref
https.//gis.stackexchange.com/questions/52346/is-it-possible-to-use-wmts-in-qqis)

like:

http://tiles.maps.eox.at/wmts/1.0.0/WMTSCapabilities.xml

No it's my mistake, it used to be possible to do this through the Browser panel, which is where | was trying, but now it is only possible through the Layer >
Add Layer (or Manage Layers toolbar)

#4 - 2017-12-04 04:41 PM - Giovanni Manghi
- Status changed from Open to Feedback

| cannot confirm, tested on both Windows and Linux/KDE.

#5 - 2017-12-27 03:23 PM - Saber Razmjooei
- Status changed from Feedback to Closed

Feel free to open a ticket about Ul inconsistency. But it is possible to add WMTS to QGIS in master.

#6 - 2018-02-22 11:07 AM - Giovanni Manghi
- Resolution set to not reproducable
